Eclipse Platform Release 3.7

## org.eclipse.ui.presentations
Interface IStackPresentationSite

    public interface IStackPresentationSite

Represents the main interface between a StackPresentation and the workbench. Not intended to be implemented by clients.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

Field Summary
`static int` `STATE_MAXIMIZED`
`static int` `STATE_MINIMIZED`
`static int` `STATE_RESTORED`

Method Summary
`void` `addSystemActions(IMenuManager menuManager)` Adds system actions to the given menu manager.
`void` `close(IPresentablePart[] toClose)` Closes the given set of parts.
`void` `dragStart(IPresentablePart beingDragged, Point initialPosition, boolean keyboard)` Begins dragging the given part
`void` `dragStart(Point initialPosition, boolean keyboard)` Begins dragging the entire stack of parts
`void` `flushLayout()` Notifies the workbench that the preferred size of the presentation has changed.
`IPresentablePart[]` `getPartList()` Returns the list of presentable parts currently in this site
`String` `getProperty(String id)` Returns the property with the given id or `null`.
`IPresentablePart` `getSelectedPart()` Returns the currently selected part or null if the stack is empty
`int` `getState()` Returns the current state of the site (one of the STATE_* constants)
`boolean` `isCloseable(IPresentablePart toClose)` Returns true iff this site will allow the given part to be closed
`boolean` `isPartMoveable(IPresentablePart toMove)` Returns true iff the given part can be dragged.
`boolean` `isStackMoveable()` Returns true iff this entire stack can be dragged
`void` `selectPart(IPresentablePart toSelect)` Makes the given part active
`void` `setState(int newState)` Sets the state of the container.
`boolean` `supportsState(int state)` Returns true iff the site supports the given state

Field Detail

### STATE_MINIMIZED

    static final int STATE_MINIMIZED

See Also:
  Constant Field Values

### STATE_MAXIMIZED

    static final int STATE_MAXIMIZED

See Also:
  Constant Field Values

### STATE_RESTORED

    static final int STATE_RESTORED

See Also:
  Constant Field Values

Method Detail

### setState

    void setState(int newState)

  Sets the state of the container. Called by the presentation when the user causes the the container to be minimized, maximized, etc.

  Parameters:
    `newState` - one of the STATE_* constants

### getState

    int getState()

  Returns the current state of the site (one of the STATE_* constants)

  Returns:
    the current state of the site (one of the STATE_* constants)

### supportsState

    boolean supportsState(int state)

  Returns true iff the site supports the given state

  Parameters:
    `state` - one of the STATE_* constants, above
  Returns:
    true iff the site supports the given state

### dragStart

    void dragStart(IPresentablePart beingDragged,
                   Point initialPosition,
                   boolean keyboard)

  Begins dragging the given part

  Parameters:
    `beingDragged` - the part to drag (not null)
    `initialPosition` - the mouse position at the time of the initial mousedown (display coordinates, not null)
    `keyboard` - true iff the drag was initiated via mouse dragging, and false if the drag may be using the keyboard

### close

    void close(IPresentablePart[] toClose)

  Closes the given set of parts.

  Parameters:
    `toClose` - the set of parts to close (Not null. All of the entries must be non-null)

### dragStart

    void dragStart(Point initialPosition,
                   boolean keyboard)

  Begins dragging the entire stack of parts

  Parameters:
    `initialPosition` - the mouse position at the time of the initial mousedown (display coordinates, not null)
    `keyboard` - true iff the drag was initiated via mouse dragging, and false if the drag may be using the keyboard

### isCloseable

    boolean isCloseable(IPresentablePart toClose)

  Returns true iff this site will allow the given part to be closed

  Parameters:
    `toClose` - part to test (not null)
  Returns:
    true iff the part may be closed

### isPartMoveable

    boolean isPartMoveable(IPresentablePart toMove)

  Returns true iff the given part can be dragged. If this returns false, the given part should not trigger a drag.

  Parameters:
    `toMove` - part to test (not null)
  Returns:
    true iff this part is a valid drag source

### isStackMoveable

    boolean isStackMoveable()

  Returns true iff this entire stack can be dragged

  Returns:
    tre iff the stack can be dragged

### selectPart

    void selectPart(IPresentablePart toSelect)

  Makes the given part active

  Parameters:
    `toSelect` -

### getSelectedPart

    IPresentablePart getSelectedPart()

  Returns the currently selected part or null if the stack is empty

  Returns:
    the currently selected part or null if the stack is empty

### addSystemActions

    void addSystemActions(IMenuManager menuManager)

  Adds system actions to the given menu manager. The site may make use of the following group ids:
  - `close`, for close actions
  - `size`, for resize actions
  - `misc`, for miscellaneous actions
  The presentation can control the insertion position by creating these group IDs where appropriate.

  Parameters:
    `menuManager` - the menu manager to populate

### flushLayout

    void flushLayout()

  Notifies the workbench that the preferred size of the presentation has changed. Hints to the workbench that it should trigger a layout at the next opportunity.

  Since:
    3.1

### getPartList

    IPresentablePart[] getPartList()

  Returns the list of presentable parts currently in this site

  Returns:
    the list of presentable parts currently in this site
  Since:
    3.1

### getProperty

    String getProperty(String id)

  Returns the property with the given id or `null`. Folder properties are an extensible mechanism for perspective authors to customize the appearance of view stacks. The list of customizable properties is determined by the presentation factory, and set in the perspective factory.

  Parameters:
    `id` - Must not be `null`.
  Returns:
    property value, or `null` if the property is not set.
  Since:
    3.3

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.